Bug 61592 - hwbrowser dies on system with un-partitioned scsi hard drive
hwbrowser dies on system with un-partitioned scsi hard drive
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: hwbrowser (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-21 17:18 EST by Richard L. King
Modified: 2013-04-02 00:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 13:42:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard L. King 2002-03-21 17:18:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
After installing a new SCSI drive (which becomes /dev/sdb) and low-level 
formatting it (leaving no filesystems, no partitions), hwbrowser (from desktop 
or command line) never comes up (displays a window and awaits user input). Run 
from the command line, an error pertaining to filesystem on /dev/sdb is shown 
and the program exits. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a hard drive with no partitions on the system. I speculate it won't 
matter whether SCSI or not.

2. Log in and run the Hardware Browser (hwbrowser from the command line)


Actual Results:  Python error messages. Shown in additional information.

Expected Results:  Hardware display window should have appeared and awaited 
user input.

Additional info:

Traceback (innermost last):
  File "/usr/share/hwbrowser/DeviceList.py", line 158, in ?
    setup_ui ()
  File "/usr/share/hwbrowser/DeviceList.py", line 151, in setup_ui
    DeviceDisk.initialize (xml, hardware)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 403, in initialize
    populate (ctree, disks, graph)
  File "/usr/share/hwbrowser/DeviceDisk.py", line 322, in populate
    disk = parted.PedDisk.open (device)
parted.error: Error: Unable to open /dev/sdb - unrecognised disk label.
Comment 1 Jonathan Blandford 2002-03-27 14:55:34 EST
Fixed in CVS, should go out to rawhide soon

Note You need to log in before you can comment on or make changes to this bug.